Delete a resource identified by a manifest
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
}
}
'{}Apply
Delete a resource identified by a manifest
Delete a resource identified by the provided manifest.
POST
/
api
/
svc
/
v1
/
delete
Delete a resource identified by a manifest
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
}
}
'{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
manifest
MLRepoManifest · objectArtifactManifest · objectModelManifest · objectChatPromptManifest · objectanyService · objectApplicationSet · objectAwsProviderAccount · objectAzureProviderAccount · objectGcpProviderAccount · objectDockerhubProviderAccount · objectBitbucketProviderAccount · objectCustomProviderAccount · objectGithubProviderAccount · objectGitlabProviderAccount · objectJfrogProviderAccount · objectTTLProviderAccount · objectTrueFoundryProviderAccount · objectQuayProviderAccount · objectSlackProviderAccount · objectWebhookProviderAccount · objectPagerDutyProviderAccount · objectMSTeamsProviderAccount · objectHashicorpProviderAccount · objectAwsBedrockProviderAccount · objectGoogleVertexProviderAccount · objectGoogleGeminiProviderAccount · objectAzureOpenAIProviderAccount · objectAzureFoundryProviderAccount · objectCohereProviderAccount · objectAI21ProviderAccount · objectAnthropicProviderAccount · objectDeepinfraProviderAccount · objectGroqProviderAccount · objectMistralAIProviderAccount · objectPerplexityAIProviderAccount · objectTogetherAIProviderAccount · objectNomicProviderAccount · objectPalmProviderAccount · objectOllamaProviderAccount · objectOpenaiProviderAccount · objectDatabricksProviderAccount · objectClouderaProviderAccount · objectSelfHostedModelProviderAccount · objectOpenRouterProviderAccount · objectSambaNovaProviderAccount · objectXAIProviderAccount · objectBasetenProviderAccount · objectAwsSagemakerProviderAccount · objectCerebrasProviderAccount · objectSnowflakeCortexProviderAccount · objectElevenLabsProviderAccount · objectDeepgramProviderAccount · objectCartesiaProviderAccount · objectSmallestAiProviderAccount · objectAWSClaudePlatformProviderAccount · objectAwsBedrockMantleProviderAccount · objectVirtualModelProviderAccount · objectCustomEndpointProviderAccount · objectMCPServerProviderAccount · objectGuardrailConfigGroup · objectClusterManifest · objectWorkspaceManifest · objectJob · objectHelm · objectVolume · objectNotebook · objectRStudio · objectWorkflow · objectAsyncService · objectSSHServer · objectSparkJob · objectRateLimitConfig · objectLoadBalancingConfig · objectGuardrailsConfig · objectBudgetConfig · objectTenantBudgetConfig · objectTeamBudgetConfig · objectGatewayOTELConfig · objectGatewayMetadataConfig · objectGatewayLoggingConfig · objectGlobalSettings · objectGatewayDataAccessConfig · objectGatewayDataRoutingConfig · objectTeamManifest · objectPolicyManifest · objectRoleManifest · objectAlertConfig · objectVirtualAccountManifest · objectCommonToolsSettings · objectAIFeaturesSettings · objectSecretGroupManifest · objectTrueFoundryAgentManifest · objectRemoteAgent · objectLegacyAgentManifest · objectEnvironmentManifest · objectTracingProjectManifest · objectRemoteMCPServerManifest · objectVirtualMCPServerManifest · objectOpenAPIMCPServerManifest · objectStdioMCPServerManifest · objectTfyManagedMCPServerManifest · objectRoleBindingManifest · object
required
Manifest of the resource to be deleted
Show child attributes
Show child attributes
Response
200 - application/json
Empty response confirming the resource has been deleted.
The response is of type TrueFoundryDeleteResponse · object.
Was this page helpful?
⌘I